//=============================================================================
// XC_TravelManager.
//=============================================================================
class XC_TravelManager expands Subsystem
	native
	noexport;

struct MappedPropertyBlock
{
	var int Idx; //Position in array
	var int ParentIdx;
	var int TotalProps; //Faster accessing
	var class<Object> Class; //Actor class
	var array<Property> Properties;
	var array<int> ChildrenIdx;
};

var native const editconst XC_GameEngine Engine;
var() bool bAutoMode; //Do stuff myself
var() bool bNoTick; //Do not operate during this level
var() float TimerCounter; //For automatic manager
var private native const editconst int PlayerIdMap[5];	// Internal
var private native const editconst int TravelMap[5];	// Internal
var native const editconst array<MappedPropertyBlock> TravelClassMap;

defaultproperties
{
}
